#ifndef CMS_PAGE_H
#define CMS_PAGE_H

#include "cms_post.h"
#include "cms_err.h"
#include <stddef.h>

typedef struct cms_page
{
	char* _str;
	char* title;
	char* slug;
	cms_post* posts;
	size_t numposts;
} cms_page;

cms_page* cms_page_create();

// 1: allloc error
// 2: parse error
// 3: unknown
cms_err cms_page_parse(cms_page* page, char* str);

//1: alloc error
//2: unknown
cms_err cms_page_add_post(cms_page* page, cms_post* post);

//1: alloc error
//2: permission denied
//3: dir doesn't exist
//4: not a directory
//5: unknown
cms_err cms_page_create_tree(cms_page* root, const char* path);

#endif
